Foxit PDF SDK

Instance Methods | Properties | List of all members
FSHeaderFooterContent Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithHeader_left_content:header_center_content:header_right_content:footer_left_content:footer_center_content:footer_right_content:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another header-footer content object. More...
(void) | - set:header_center_content:header_right_content:footer_left_content:footer_center_content:footer_right_content:
| Set value. More...

## Properties
NSString * | footer_center_content
| Content for center footer.
NSString * | footer_left_content
| Content for left footer.
NSString * | footer_right_content
| Content for right footer.
NSString * | header_center_content
| Content for center header.
NSString * | header_left_content
| Content for left header.
NSString * | header_right_content
| Content for right header.

## Detailed Description

This class represents the header-footer content. Any string member of this class can set directly or be generated by using class FSHeaderFooterContentGenerator .

See also
  FSHeaderFooterContentGenerator .

## Method Documentation

## ◆ initWithHeader_left_content:header_center_content:header_right_content:footer_left_content:footer_center_content:footer_right_content:()

- (id) initWithHeader_left_content: |  | (NSString *) | header_left_content
header_center_content: |  | (NSString *) | header_center_content
header_right_content: |  | (NSString *) | header_right_content
footer_left_content: |  | (NSString *) | footer_left_content
footer_center_content: |  | (NSString *) | footer_center_content
footer_right_content: |  | (NSString *) | footer_right_content

Constructor, with parameters.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSHeaderFooterContent*) | other |

Constructor, with another header-footer content object.

Parameters

  [in] | other | Another header-footer content object.

## ◆ set:header_center_content:header_right_content:footer_left_content:footer_center_content:footer_right_content:()

- (void) set: |  | (NSString *) | header_left_content
header_center_content: |  | (NSString *) | header_center_content
header_right_content: |  | (NSString *) | header_right_content
footer_left_content: |  | (NSString *) | footer_left_content
footer_center_content: |  | (NSString *) | footer_center_content
footer_right_content: |  | (NSString *) | footer_right_content

Set value.

Parameters

  [in] | header_left_content | Content for left header.
  [in] | header_center_content | Content for center header.
  [in] | header_right_content | Content for right header.
  [in] | footer_left_content | Content for left footer.
  [in] | footer_center_content | Content for center footer.
  [in] | footer_right_content | Content for right footer.

Returns
  None.